Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkGeometryFilter Class Reference

`#include <vtkGeometryFilter.h>`

Inheritance diagram for vtkGeometryFilter:

[legend]
Collaboration diagram for vtkGeometryFilter:

[legend]
List of all members.

## Detailed Description

extract geometry from data (or convert data to polygonal type)

Date:
  2002/09/26 12:07:14

Revision:
  1.56

vtkGeometryFilter is a general-purpose filter to extract geometry (and associated data) from any type of dataset. Geometry is obtained as follows: all 0D, 1D, and 2D cells are extracted. All 2D faces that are used by only one 3D cell (i.e., boundary faces) are extracted. It also is possible to specify conditions on point ids, cell ids, and on bounding box (referred to as "Extent") to control the extraction process.

This filter also may be used to convert any type of data to polygonal type. The conversion process may be less than satisfactory for some 3D datasets. For example, this filter will extract the outer surface of a volume or structured grid dataset. (For structured data you may want to use vtkImageDataGeometryFilter, vtkStructuredGridGeometryFilter, vtkExtractUnstructuredGrid, vtkRectilinearGridGeometryFilter, or vtkExtractVOI.)

Warning:
  When vtkGeometryFilter extracts cells (or boundaries of cells) it will (by default) merge duplicate vertices. This may cause problems in some cases. For example, if you've run vtkPolyDataNormals to generate normals, which may split meshes and create duplicate vertices, vtkGeometryFilter will merge these points back together. Turn merging off to prevent this from occurring.

See also:
  vtkImageDataGeometryFilter vtkStructuredGridGeometryFilter vtkExtractGeometry vtkExtractVOI

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (51%)
  - Martin, Ken (22%)
  - Law, Charles (9%)
  - Geveci, Berk (6%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkGeometryFilter.cxx)`
  - .`h` (`/Graphics/vtkGeometryFilter.h)`

Examples:
  vtkGeometryFilter (Examples)

Tests:
  vtkGeometryFilter (Tests)

Definition at line 76 of file vtkGeometryFilter.h.

## Public Types
typedef vtkDataSetToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | CreateDefaultLocator ()
unsigned long | GetMTime ()
virtual void | SetPointClipping (int)
virtual int | GetPointClipping ()
virtual void | PointClippingOn ()
virtual void | PointClippingOff ()
virtual void | SetCellClipping (int)
virtual int | GetCellClipping ()
virtual void | CellClippingOn ()
virtual void | CellClippingOff ()
virtual void | SetExtentClipping (int)
virtual int | GetExtentClipping ()
virtual void | ExtentClippingOn ()
virtual void | ExtentClippingOff ()
virtual void | SetPointMinimum (vtkIdType)
virtual vtkIdType | GetPointMinimum ()
virtual void | SetPointMaximum (vtkIdType)
virtual vtkIdType | GetPointMaximum ()
virtual void | SetCellMinimum (vtkIdType)
virtual vtkIdType | GetCellMinimum ()
virtual void | SetCellMaximum (vtkIdType)
virtual vtkIdType | GetCellMaximum ()
void | SetExtent (float xMin, float xMax, float yMin, float yMax, float zMin, float zMax)
void | SetExtent (float extent[6])
float * | GetExtent ()
virtual void | SetMerging (int)
virtual int | GetMerging ()
virtual void | MergingOn ()
virtual void | MergingOff ()
void | SetLocator (vtkPointLocator *locator)
virtual vtkPointLocator * | GetLocator ()
## Static Public Methods
vtkGeometryFilter * | New ()
int | IsTypeOf (const char *type)
vtkGeometryFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkGeometryFilter ()
| ~vtkGeometryFilter ()
void | Execute ()
void | PolyDataExecute ()
void | UnstructuredGridExecute ()
void | StructuredGridExecute ()
void | ComputeInputUpdateExtents (vtkDataObject *output)
void | ExecuteInformation ()
## Protected Attributes
vtkIdType | PointMaximum
vtkIdType | PointMinimum
vtkIdType | CellMinimum
vtkIdType | CellMaximum
float | Extent [6]
int | PointClipping
int | CellClipping
int | ExtentClipping
int | Merging
vtkPointLocator * | Locator

## Member Typedef Documentation

typedef vtkDataSetToPolyDataFilter vtkGeometryFilter::Superclass

| Reimplemented from vtkDataSetToPolyDataFilter. Definition at line 80 of file vtkGeometryFilter.h.

## Constructor & Destructor Documentation

vtkGeometryFilter::vtkGeometryFilter | ( |  | ) | `[protected]`

vtkGeometryFilter::~vtkGeometryFilter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkGeometryFilter* vtkGeometryFilter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkGeometryFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToPolyDataFilter.

int vtkGeometryFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToPolyDataFilter.

virtual int vtkGeometryFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToPolyDataFilter.

vtkGeometryFilter* vtkGeometryFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToPolyDataFilter.

void vtkGeometryFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToPolyDataFilter.

virtual void vtkGeometryFilter::SetPointClipping | ( | int |  | ) | `[virtual]`

| Turn on/off selection of geometry by point id.

virtual int vtkGeometryFilter::GetPointClipping | ( |  | ) | `[virtual]`

| Turn on/off selection of geometry by point id.

virtual void vtkGeometryFilter::PointClippingOn | ( |  | ) | `[virtual]`

| Turn on/off selection of geometry by point id.

virtual void vtkGeometryFilter::PointClippingOff | ( |  | ) | `[virtual]`

| Turn on/off selection of geometry by point id.

virtual void vtkGeometryFilter::SetCellClipping | ( | int |  | ) | `[virtual]`

| Turn on/off selection of geometry by cell id.

virtual int vtkGeometryFilter::GetCellClipping | ( |  | ) | `[virtual]`

| Turn on/off selection of geometry by cell id.

virtual void vtkGeometryFilter::CellClippingOn | ( |  | ) | `[virtual]`

| Turn on/off selection of geometry by cell id.

virtual void vtkGeometryFilter::CellClippingOff | ( |  | ) | `[virtual]`

| Turn on/off selection of geometry by cell id.

virtual void vtkGeometryFilter::SetExtentClipping | ( | int |  | ) | `[virtual]`

| Turn on/off selection of geometry via bounding box.

virtual int vtkGeometryFilter::GetExtentClipping | ( |  | ) | `[virtual]`

| Turn on/off selection of geometry via bounding box.

virtual void vtkGeometryFilter::ExtentClippingOn | ( |  | ) | `[virtual]`

| Turn on/off selection of geometry via bounding box.

virtual void vtkGeometryFilter::ExtentClippingOff | ( |  | ) | `[virtual]`

| Turn on/off selection of geometry via bounding box.

virtual void vtkGeometryFilter::SetPointMinimum | ( | vtkIdType |  | ) | `[virtual]`

| Specify the minimum point id for point id selection.

virtual vtkIdType vtkGeometryFilter::GetPointMinimum | ( |  | ) | `[virtual]`

| Specify the minimum point id for point id selection.

virtual void vtkGeometryFilter::SetPointMaximum | ( | vtkIdType |  | ) | `[virtual]`

| Specify the maximum point id for point id selection.

virtual vtkIdType vtkGeometryFilter::GetPointMaximum | ( |  | ) | `[virtual]`

| Specify the maximum point id for point id selection.

virtual void vtkGeometryFilter::SetCellMinimum | ( | vtkIdType |  | ) | `[virtual]`

| Specify the minimum cell id for point id selection.

virtual vtkIdType vtkGeometryFilter::GetCellMinimum | ( |  | ) | `[virtual]`

| Specify the minimum cell id for point id selection.

virtual void vtkGeometryFilter::SetCellMaximum | ( | vtkIdType |  | ) | `[virtual]`

| Specify the maximum cell id for point id selection.

virtual vtkIdType vtkGeometryFilter::GetCellMaximum | ( |  | ) | `[virtual]`

| Specify the maximum cell id for point id selection.

void vtkGeometryFilter::SetExtent | ( | float | xMin,
|  | float | xMax,
|  | float | yMin,
|  | float | yMax,
|  | float | zMin,
|  | float | zMax
| ) |

| Specify a (xmin,xmax, ymin,ymax, zmin,zmax) bounding box to clip data.

void vtkGeometryFilter::SetExtent | ( | float | extent[6] | ) |

| Set / get a (xmin,xmax, ymin,ymax, zmin,zmax) bounding box to clip data.

float* vtkGeometryFilter::GetExtent | ( |  | ) | `[inline]`

| Set / get a (xmin,xmax, ymin,ymax, zmin,zmax) bounding box to clip data. Definition at line 139 of file vtkGeometryFilter.h.

virtual void vtkGeometryFilter::SetMerging | ( | int |  | ) | `[virtual]`

| Turn on/off merging of coincident points. Note that is merging is on, points with different point attributes (e.g., normals) are merged, which may cause rendering artifacts.

virtual int vtkGeometryFilter::GetMerging | ( |  | ) | `[virtual]`

| Turn on/off merging of coincident points. Note that is merging is on, points with different point attributes (e.g., normals) are merged, which may cause rendering artifacts.

virtual void vtkGeometryFilter::MergingOn | ( |  | ) | `[virtual]`

| Turn on/off merging of coincident points. Note that is merging is on, points with different point attributes (e.g., normals) are merged, which may cause rendering artifacts.

virtual void vtkGeometryFilter::MergingOff | ( |  | ) | `[virtual]`

| Turn on/off merging of coincident points. Note that is merging is on, points with different point attributes (e.g., normals) are merged, which may cause rendering artifacts.

void vtkGeometryFilter::SetLocator | ( | vtkPointLocator * | locator | ) |

| Set / get a spatial locator for merging points. By default an instance of vtkMergePoints is used.

virtual vtkPointLocator* vtkGeometryFilter::GetLocator | ( |  | ) | `[virtual]`

| Set / get a spatial locator for merging points. By default an instance of vtkMergePoints is used.

void vtkGeometryFilter::CreateDefaultLocator | ( |  | ) |

| Create default locator. Used to create one when none is specified.

unsigned long vtkGeometryFilter::GetMTime | ( |  | ) | `[virtual]`

| Return the MTime also considering the locator. Reimplemented from vtkObject.

void vtkGeometryFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkGeometryFilter::PolyDataExecute | ( |  | ) | `[protected]`

void vtkGeometryFilter::UnstructuredGridExecute | ( |  | ) | `[protected]`

void vtkGeometryFilter::StructuredGridExecute | ( |  | ) | `[protected]`

void vtkGeometryFilter::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[protected, virtual]`

| Do not let images return more than requested. Reimplemented from vtkDataSetToPolyDataFilter.

void vtkGeometryFilter::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

## Member Data Documentation

vtkIdType vtkGeometryFilter::PointMaximum`[protected]`

| Definition at line 175 of file vtkGeometryFilter.h.

vtkIdType vtkGeometryFilter::PointMinimum`[protected]`

| Definition at line 176 of file vtkGeometryFilter.h.

vtkIdType vtkGeometryFilter::CellMinimum`[protected]`

| Definition at line 177 of file vtkGeometryFilter.h.

vtkIdType vtkGeometryFilter::CellMaximum`[protected]`

| Definition at line 178 of file vtkGeometryFilter.h.

float vtkGeometryFilter::Extent[6]`[protected]`

| Definition at line 179 of file vtkGeometryFilter.h.

int vtkGeometryFilter::PointClipping`[protected]`

| Definition at line 180 of file vtkGeometryFilter.h.

int vtkGeometryFilter::CellClipping`[protected]`

| Definition at line 181 of file vtkGeometryFilter.h.

int vtkGeometryFilter::ExtentClipping`[protected]`

| Definition at line 182 of file vtkGeometryFilter.h.

int vtkGeometryFilter::Merging`[protected]`

| Definition at line 184 of file vtkGeometryFilter.h.

vtkPointLocator* vtkGeometryFilter::Locator`[protected]`

| Definition at line 185 of file vtkGeometryFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkGeometryFilter.h